#pragma once
#include "editor.h"

#define null 0

// Main

typedef class c_world {

public:

	c_world ();
	~c_world ();

	//
	// General Functions
	//

	void		create	();
	void		process	();
	void		render	();
	void		destroy	();
	
	//
	// Global Draw Variables
	//

	// Window
	int			win_x, win_y;		// Window Position
	int			win_cx, win_cy;		// Window Center Position
	int			screen_x, screen_y;	// Window Size
	// Keys
	int			keys[256];			// Keys State
	int			keyp[256];			// Keys Pressed
	// Mouse
	int			mx, my;				// mouse x/y
	int			mmx, mmy;			// mouse move x/y

	//
	// Context And General Game
	//

	c_editor_p	editor;

private:

} c_world_t, *c_world_p;
